org.eclipse.net4j.util.concurrent

## Class PriorityQueueRunnable

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.PriorityQueueRunnable

- All Implemented Interfaces:
    Comparable<PriorityQueueRunnable>, Runnable

      public abstract class PriorityQueueRunnable
      extends Object
      implements Runnable, Comparable<PriorityQueueRunnable>

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PriorityQueueRunnable()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(PriorityQueueRunnable o)`
    `protected abstract Integer` | `getPriority()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

- - ### Constructor Detail

    - #### PriorityQueueRunnable

          public PriorityQueueRunnable()

  - ### Method Detail

    - #### compareTo

          public int compareTo(PriorityQueueRunnable o)

      Specified by:
        `compareTo` in interface `Comparable<PriorityQueueRunnable>`

    - #### getPriority

          protected abstract Integer getPriority()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html